Skip to main content
GET
/
radius
/
groups
List Groups
curl --request GET \
  --url https://v1.api.altostrat.io/radius/groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/radius/groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/radius/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "group_name": "<string>",
      "user_count": 123,
      "check_attributes": [
        {
          "attribute": "<string>",
          "op": "<string>",
          "value": "<string>"
        }
      ],
      "reply_attributes": [
        {
          "attribute": "<string>",
          "op": "<string>",
          "value": "<string>"
        }
      ],
      "metadata": {},
      "tags": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "per_page": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

per_page
integer
default:25
cursor
string

Response

200 - application/json

List of groups.

data
object[]
pagination
object